<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_meta_format_t::matrix Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="structtivx__meta__format__t.html">tivx_meta_format_t</a>::<a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a>
  </div>
</div>
<div class="contents">
<h1>tivx_meta_format_t::matrix Struct Reference</h1><!-- doxytag: class="tivx_meta_format_t::matrix" --><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1matrix.html#a5caac3b8e51ccacf4067f50fbdc94485">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1matrix.html#a00e8677749d745fd955ef7e620e7a0ac">rows</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1matrix.html#acc77c7d6aaf1a6bc5a5cf33f5b2b5454">cols</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a5caac3b8e51ccacf4067f50fbdc94485"></a><!-- doxytag: member="tivx_meta_format_t::matrix::type" ref="a5caac3b8e51ccacf4067f50fbdc94485" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__meta__format__t_1_1matrix.html#a5caac3b8e51ccacf4067f50fbdc94485">tivx_meta_format_t::matrix::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The value type of the <a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a> </p>

</div>
</div>
<a class="anchor" id="a00e8677749d745fd955ef7e620e7a0ac"></a><!-- doxytag: member="tivx_meta_format_t::matrix::rows" ref="a00e8677749d745fd955ef7e620e7a0ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__meta__format__t_1_1matrix.html#a00e8677749d745fd955ef7e620e7a0ac">tivx_meta_format_t::matrix::rows</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The M dimension of the <a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a> </p>

</div>
</div>
<a class="anchor" id="acc77c7d6aaf1a6bc5a5cf33f5b2b5454"></a><!-- doxytag: member="tivx_meta_format_t::matrix::cols" ref="acc77c7d6aaf1a6bc5a5cf33f5b2b5454" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__meta__format__t_1_1matrix.html#acc77c7d6aaf1a6bc5a5cf33f5b2b5454">tivx_meta_format_t::matrix::cols</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The N dimension of the <a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a> </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
